Subject: Re: [PATCH v2] tests: print failed test numbers at the end of the test run

From: Jens Lehmann <[email-masked]>
Date: Sun, 24 Jul 2011 21:21:15 +0200

Am 24.07.2011 17:39, schrieb Jeff King:
> On Sun, Jul 24, 2011 at 03:35:54PM +0200, Jens Lehmann wrote:
> 
>> Am 24.07.2011 09:41, schrieb Junio C Hamano:
>>> Jens Lehmann <[email-masked]> writes:
>>>
>>>> Maybe I'm missing something completely obvious, but I always have a hard
>>>> time finding out which test scripts did fail in a test run with -j30.
>>>
>>> I run "ls -d t/trash*" for that ;-)
>>
>> Yup. But that won't work when you use "-i" to continue to run all tests
>> even when some fail, as all trash directories get deleted in the end. Or
>> did I manage to overlook an option which stops that? ;-)
> 
> I used to use:
> 
>   make -k -j30
>   grep 'failed [^0]' test-results/*

Ah, now I understand how I managed to shoot myself in the foot when I tried
that: I used "-i" instead of "-k" for make, so the test-results directory
always was deleted after the tests ran.

> but these days I use the "prove" tool, which has much nicer output. You
> can get Makefile support for it with:
> 
>   GIT_PROVE_OPTS = -j30
>   DEFAULT_TEST_TARGET = prove
> 
> in your config.mak.

Thanks, the output really is nicer and it even runs a bit faster! :-)